SDL_GetGamepadInstanceGUID(3)

NAME
SDL_GetGamepadInstanceGUID - Get the implementation-dependent GUID of a gamepad.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_JoystickGUID SDL_GetGamepadInstanceGUID(SDL_JoystickID instance_id);

DESCRIPTION
This can be called before any gamepads are opened.

FUNCTION PARAMETERS

instance_id
    the joystick instance ID

RETURN VALUE
Returns the GUID of the selected gamepad. If called on an invalid index, this function returns a zero GUID

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetGamepadGUID(3), SDL_GetGamepadGUIDString(3), SDL_GetGamepads(3)